<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Model;

class Schedule
{
    public const DAYS = [
        1 => 'monday',
        2 => 'tuesday',
        3 => 'wednesday',
        4 => 'thursday',
        5 => 'friday',
        6 => 'saturday',
        7 => 'sunday',
    ];

    public array $openingDays = [
        'monday' => [],
        'tuesday' => [],
        'wednesday' => [],
        'thursday' => [],
        'friday' => [],
        'saturday' => [],
        'sunday' => [],
    ];

    public static function fromDPDResponse(array $data): self
    {
        $schedule = new self();
        foreach ($data['OPENING_HOURS_ITEMS']->OPENING_HOURS_ITEM as $k => $item) {
            $item = (array) $item;
            $schedule->openingDays[self::DAYS[$item['DAY_ID']]][] = [
                'start' => $item['START_TM'],
                'end' => $item['END_TM'],
            ];
        }

        // todo holidays

        return $schedule;
    }
}
